# $Revision:$, $Date:$
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Compile-SOAP
Summary:	XML::Compile::SOAP - base-class for SOAP implementations
#Summary(pl.UTF-8):	
Name:		perl-XML-Compile-SOAP
Version:	0.76
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd2458cebd4cd3b543ae285ff9db8f5b
# generic URL, check or change before uncommenting
#URL:		http://search.cpan.org/dist/XML-Compile-SOAP/
Patch0:         %{name}-base.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-libwww >= 5.803
BuildRequires:	perl-Log-Report >= 0.17
BuildRequires:	perl-Test-Deep >= 0.095
BuildRequires:	perl-Test-Pod >= 1.00
BuildRequires:	perl-XML-Compile >= 0.91
BuildRequires:	perl-XML-Compile-Tester >= 0.01
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module handles the SOAP protocol.  The first implementation is
SOAP1.1 (http://www.w3.org/TR/2000/NOTE-SOAP-20000508/), which is still
most often used.  The SOAP1.2 definition (http://www.w3.org/TR/soap12/)
is quite different; this module tries to define a sufficiently abstract
interface to hide the protocol differences.

Be aware that there are three kinds of SOAP:



# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{perl_vendorlib}/XML/Compile/*.pm
%{perl_vendorlib}/XML/Compile/SOAP
%{perl_vendorlib}/XML/Compile/SOAP11
%{perl_vendorlib}/XML/Compile/SOAP12
%{perl_vendorlib}/XML/Compile/Transport
%{perl_vendorlib}/XML/Compile/WSDL11
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log:$
